| Home | Libraries | People | FAQ | More

##### http::span_body::value_type

The type of container used for the body.

###### Synopsis

    using value_type = span< T >;

###### Types

Name | Description
--- | ---
const_iterator | The const iterator used by the container.
const_pointer | The const pointer used by the container.
const_reference | The const reference used by the container.
element_type | The type of value, including cv qualifiers.
index_type | The type of integer used to index the span.
iterator | The iterator used by the container.
pointer | A pointer to a span element.
reference | A reference to a span element.
value_type | The type of value of each span element.

###### Member Functions

Name | Description
--- | ---
begin | Returns an iterator to the beginning of the span.
cbegin | Returns an iterator to the beginning of the span.
cend | Returns an iterator to one past the end of the span.
data | Returns a pointer to the beginning of the span.
empty | Returns true if the span is empty.
end | Returns an iterator to one past the end of the span.
operator= | Assignment.
size | Returns the number of elements in the span.
span | Constructor.

This class implements a non-owning reference to a storage area of a certain size and having an underlying integral type with size of 1.

###### Template Parameters

Type | Description
--- | ---
`T` | The type pointed to by span iterators

###### Description

This determines the type of `http::message::body` when this body type is used with a message container.